Bug 9793 - rebootmgr startup script bug
: rebootmgr startup script bug
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/util-vserver)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-07-20 08:13 by
Modified: 2009-09-29 12:08 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-07-20 08:14:02
startup script для сервиса rebootmgr не рабочий. вот патч для исправления
ошибки
-------------------------------------------------------------------------------
--- etc/rc.d/init.d/rebootmgr   2006-07-20 10:07:27 +0600
+++ /etc/rc.d/init.d/rebootmgr  2006-07-16 22:58:18 +0600
@@ -28,7 +28,8 @@
                        VSERVERS="$VSERVERS $serv"
                fi
        done
-       start_daemon --lockfile "$LOCKFILE" --pidfile "$PIDFILE" -- rebootmgr
$VSERVERS
+       start_daemon --lockfile "$LOCKFILE" --make-pidfile dummy \
+               --pidfile "$PIDFILE" -- rebootmgr $VSERVERS
        RETVAL=$?
        return $RETVAL

@@ -57,7 +58,7 @@
                restart
                ;;
        status)
-               status --pidfile "$PIDFILE" named
+               status --pidfile "$PIDFILE" rebootmgr
                RETVAL=$?
                ;;
        reload)
-------------------------------------------------------------------------------

применение dummy в строчке 
--make-pidfile dummy 
связано с багом в compact в обработке --make-pidfile (пакет service)
------- Comment #1 From 2008-02-15 19:54:34 -------
apparently wontfix :(
------- Comment #2 From 2008-06-13 13:00:39 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #3 From 2009-09-29 12:08:35 -------
orphaned / unsupported